import DddBuilder from './components/Builder.vue'

export type { WidgetRenderFunction } from './render'
export type {
  CanvasConfig,
  PageConfig,
  ConfiguratorType,
  EngineContext,
  Exported,
} from './context'

export { registerWidget, render } from './render'
export {
  useContext,
  useBlockId,
  useSource,
  useModule,
  useParentViewId,
} from './context'
export { hash, valueOf } from './utils'
export * from './types'

export default DddBuilder
