import type { CrossAlign, MainAlign } from '../types'

export function align(s: MainAlign | CrossAlign | undefined): string | undefined {
  switch (s) {
    case 'start':
    case 'end':
      return `flex-${s}`
    case 'between':
    case 'around':
      return `space-${s}`
    default:
      return s
  }
}
